<?php

namespace App\EntityList;

/**
 * @author Gabriel
 */
class AriaChats extends \App\EntityList\GeneralAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTAriaChats, $DBTAriaChatMessages;
		$this->setMainTable($DBTAriaChats, 'ariaChats');
		$this->addAllowedTable($DBTAriaChatMessages, 'ariaChatMessages', 'ariaChatMessages.idChat=ariaChats.id', 'INNER');
	}

}

